body, header, main, .announcement, footer {
    width: 100%;
    display: flex;
    justify-content: center;
    flex-flow: row wrap;
}

html {
    background-color: #1b1b1b;
}

body {
    font-optical-sizing: auto;
    font-style: normal;
    font-size: 20px;
    margin: 0;
    padding: 40px;
    min-height: 100vh;
    height: fit-content;
    box-sizing: border-box;
    background-color: #fffefb;
    flex-flow: column;
    line-height: 1.5rem;
    background: url("../images/ceremony-background-cropped.webp") center no-repeat;
    background-size: cover;
}

* {
    font-family: "Courier New", sans-serif !important;
    font-weight: 500;
    font-size: 18px !important;
    color: white;
    text-shadow: 1px 1px 2px black;
}

a {
    color: black;
    text-underline-offset: .3rem;
    text-decoration-thickness: 2px;
}

h1 {
    margin: 0;
}

.fade-in {
    opacity: 0;
    animation: fade-in 1s 1s ease forwards;
}

@keyframes fade-in {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

header {
    height: fit-content;
}

main {
    align-items: center;
    text-align: center;
    padding: 2rem 0;
}

footer {
    align-items: end;
}

.logo {
    width: 750px;
    max-width: 100%;
}

.announcement {
    padding-top: 2rem;
}

.info {
    text-align: justify;
    text-justify: inter-word;
    text-align-last: center;
}

main form {
    padding: 0 !important;
}

#fd-form-6865c4c5de45996c0dcecc3c {
    margin-top: -1rem;
}

.fd-form-content * {
    font-size: 14px !important;
}

.wrapper * {
    background: none !important;
    text-shadow: none;
}

.wrapper input {
    background: white !important;
    cursor: text;
}

.wrapper label {
    cursor: text;
}

.wrapper label span {
    color: black !important;
    font-weight: 500;
}

.wrapper button {
    background: black !important;
}

.social-instagram {
    display: flex;
    align-items: center;
    gap: 1rem;
    text-decoration: none;
    color: white;
    text-transform: uppercase;
    font-weight: 800;
}

.social-instagram img {
    width: 2rem;
}

@media screen and (max-width: 749px) {
    * {
        font-size: 16px !important;
    }

    .fd-form-content * {
        font-size: 12px !important;
    }
}

@media screen and (min-width: 750px) {
    .info {
        max-width: 700px;
    }
}

@media screen and (min-width: 1600px) {
    * {
        font-size: 20px !important;
    }

    .fd-form-content * {
        font-size: 16px !important;
    }
}